### Method

# Foundry GitCommitBuilder dup_when

since: 1.1

#### Declaration [src]

    GDateTime*
    foundry_git_commit_builder_dup_when (
      FoundryGitCommitBuilder* self
    )

#### Description [src]

Gets the timestamp that will be used for the commit.

Available since: 1.1

#### Return value

Type: `GDateTime`

A `GDateTime` representing the commit timestamp, or `NULL` if not set. The caller should free the returned object with `g_date_time_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.